Package org.codehaus.commons.compiler.util

# Class Numbers

java.lang.Object
org.codehaus.commons.compiler.util.Numbers

public final class Numbers extends Object
Utility methods related to `Number`.

## Method Summary

Modifier and Type
Method
Description
`static int`
`parseUnsignedInt(String s, int radix)`
Counterpart of `Integer.parseInt(String, int)` for parsing unsigned integers.
`static long`
`parseUnsignedLong(String s, int radix)`
Counterpart of `Long.parseLong(String, int)` for parsing unsigned integers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### parseUnsignedInt

public static int parseUnsignedInt(@Nullable String s, int radix) throws NumberFormatException
Counterpart of `Integer.parseInt(String, int)` for parsing unsigned integers.

Redundant with `java.lang.Integer.parseUnsignedInt(String, int radix)`, which is available since Java 8.

Returns:
  0 through 232 - 1
Throws:
  `NumberFormatException` - s is `null` or empty
  `NumberFormatException` - radix is out of range (see `Character.digit(char, int)`)
  `NumberFormatException` - The value represented by s is larger than 232 - 1
  `NumberFormatException` - s contains characters that are not valid digits for the given radix (see `Character.digit(char, int)`)

### parseUnsignedLong

public static long parseUnsignedLong(@Nullable String s, int radix) throws NumberFormatException
Counterpart of `Long.parseLong(String, int)` for parsing unsigned integers.

Redundant with `java.lang.Long.parseUnsignedLong(String, int radix)`, which is available since Java 8.

Returns:
  0 through 264 - 1
Throws:
  `NumberFormatException` - s is `null` or empty
  `NumberFormatException` - radix is out of range (see `Character.digit(char, int)`)
  `NumberFormatException` - The value represented by s is larger than 264 - 1
  `NumberFormatException` - s contains characters that are not valid digits for the given radix (see `Character.digit(char, int)`)